
E:\Sandbox\ros_work\reactos_clean>set CVS_RSH=SSH2 

E:\Sandbox\ros_work\reactos_clean>d:\programme\cvsnt\cvs.exe -z6 -d  :ext:hbirr@24.234.141.99:/CVS/ReactOS diff -u ntoskrnl\kd\kdebug.c       
Index: ntoskrnl/kd/kdebug.c
===================================================================
RCS file: /CVS/ReactOS/reactos/ntoskrnl/kd/kdebug.c,v
retrieving revision 1.55
diff -u -r1.55 kdebug.c
--- ntoskrnl/kd/kdebug.c	15 Aug 2004 16:39:04 -0000	1.55
+++ ntoskrnl/kd/kdebug.c	28 Sep 2004 18:57:30 -0000
@@ -46,7 +46,7 @@
 
  
 static BOOLEAN KdpBreakPending = FALSE;
-ULONG KdDebugState = KD_DEBUG_DISABLED;
+ULONG KdDebugState = KD_DEBUG_BOCHS /*KD_DEBUG_DISABLED*/;
 ULONG KdpPortIrq = 0;
 
 KD_PORT_INFORMATION GdbPortInfo;
@@ -184,14 +184,14 @@
       else if (!_strnicmp(p2, "NODEBUG", 7))
 	{
 	  p2 += 7;
-	  KdDebuggerEnabled = FALSE;
-	  KdDebugState = KD_DEBUG_DISABLED;
+//	  KdDebuggerEnabled = FALSE;
+//	  KdDebugState = KD_DEBUG_DISABLED;
 	}
       else if (!_strnicmp(p2, "CRASHDEBUG", 10))
 	{
 	  p2 += 10;
-	  KdDebuggerEnabled = FALSE;
-	  KdDebugState = KD_DEBUG_DISABLED;
+//	  KdDebuggerEnabled = FALSE;
+//	  KdDebugState = KD_DEBUG_DISABLED;
 	}
       else if (!_strnicmp(p2, "BREAK", 5))
 	{
@@ -335,6 +335,24 @@
     }
 }
 
+VOID STDCALL
+_WRITE_PORT_UCHAR (PUCHAR Port,
+                  UCHAR Value)
+{
+#if defined(__GNUC__)
+   __asm__("outb %0, %w1\n\t"
+	   :: "a" (Value), "d" (Port));
+#elif defined(_MSC_VER)
+	__asm
+	{
+		mov edx, Port
+		mov al, Value
+		out dx,al
+	}
+#else
+#error Unknown compiler for inline assembler
+#endif
+}
 
 VOID
 KdBochsDebugPrint(IN LPSTR  Message)
@@ -343,9 +361,9 @@
 	  {
 	    if (*Message == '\n')
 	      {
-		WRITE_PORT_UCHAR((PUCHAR)BOCHS_LOGGER_PORT, '\r');
+		_WRITE_PORT_UCHAR((PUCHAR)BOCHS_LOGGER_PORT, '\r');
 	      }
-	    WRITE_PORT_UCHAR((PUCHAR)BOCHS_LOGGER_PORT, *Message);
+	    _WRITE_PORT_UCHAR((PUCHAR)BOCHS_LOGGER_PORT, *Message);
 	    Message++;
 	  }
 }
